Problems when 'Assigned To' field doesn't match 'Assigned' issue tracker
Status: New Start date: 2008-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There are problems when the Assigned To field is set, but the issue tracker is not set to assigned. A non-member can set the

Assigned-To field even when they don't have permission to make the issue assigned. The issue then shows up in the assignee's

"Issues assigned to me" area even when it has not been officially assigned.

Note that others struggle with this issue as well. See also #349, #640, and #1919.

I can think of a few potential solutions:

1. Hide the Assigned-to field and show it only when the issue is assigned.

2. Prevent a New issue from getting an assignment at all.

3. Make the availability of the form field depend on user permission for Assignment in the workflow.

4. Add new permissions for the Assigned-To field (and perhaps others as mentioned in #1919) so that non-members can be

denied the ability to change it.

Related issues:

Related to Redmine - Feature #4582: Automaticly set an issue status when an i... New 2010-01-14

History

#1 - 2008-12-24 10:51 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2016-09-13 17:22 - Benjamin Schunn

this is already solved or I am wrong?

#3 - 2016-09-14 06:59 - Toshi MARUYAMA

- Category set to Issues

#4 - 2016-09-14 06:59 - Toshi MARUYAMA

- Related to Feature #4582: Automaticly set an issue status when an issue is first assigned added
